-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local lu = require 'luaunit'
local pump_object = require 'pump_object'
local client = require 'thermal_mgmt.client'

TestPumpObject = {}

function TestPumpObject:test_fan_board_listenning()
    local origin = client.OnUnitPropertiesChanged
    client.OnUnitPropertiesChanged = function(self, cb)
        cb('', '', '')
    end
    pump_object.listener = {}
    local ok = pcall(pump_object.fan_board_listenning, pump_object, '', '')
    lu.assertTrue(ok)
    client.OnUnitPropertiesChanged = origin
end